<div id="comments">
	<?php if ( post_password_required() ) : ?>
	<p class="nopassword"><?php _e( 'Эта запись защищена паролем. Введите пароль, чтобы просмотреть комментарии.', 'outset' ); ?></p>
			</div><!-- #comments -->
	<?php
		return; endif; // if password required ?>

	<?php if ( have_comments() ) : $GLOBALS['comment'] = $comment; 
	foreach ($comments as $comment) {
		if ($comment->comment_type == 'trackback' || $comment->comment_type == 'pingback')
			$linkbacks[] = $comment;
		else
			$only_comments[] = $comment;
	}
	if ($linkbacks) : ?>
        <h3 id="comments-title"><?php count_comment(count($linkbacks), 'trackbacks'); ?></h3>
        <dl id="trackback_list">
    	<?php foreach ($linkbacks as $comment) : ?>
            <dt><?php echo get_comment_author_link(); ?></dt>
            <dd><?php echo '<span>' . sprintf(__('%1$s - %2$s'), get_comment_date(), get_comment_time()) . '</span>'; ?></dd>
    	<?php endforeach; ?>
        </dl>
    <?php endif; ?>

	<?php if ($only_comments) : ?>
        <h3 id="comments-title"><?php count_comment(count($only_comments), 'comments'); ?></h3>
        <ol class="commentlist">
            <?php wp_list_comments( array( 'callback' => 'outset_comment' ) ); ?>
        </ol>
	<?php endif; ?>
    
	<?php if ( get_comment_pages_count() > 1 && get_option( 'page_comments' ) ) : // Are there comments to navigate through? ?>
	<div class="navigation">
		<div class="nav-previous"><?php previous_comments_link( __( '<span class="meta-nav">&larr;</span> Предыдущие комментарии', 'outset' ) ); ?></div>
		<div class="nav-next"><?php next_comments_link( __( 'Следующие комментарии <span class="meta-nav">&rarr;</span>', 'outset' ) ); ?></div>
	</div><!-- .navigation -->
	<?php endif; // check for comment navigation ?>

	<?php else : // or, if we don't have comments:
		if ( ! comments_open() ) : ?>
		<p class="nocomments"><?php _e( 'Комментарии закрыты.', 'outset' ); ?></p>
		<?php endif; ?>
	<?php endif; // end have_comments() ?>

	<?php 
		$fields =  array(
			'author' => '<p class="comment-form-author">' . '<input id="author" name="author" type="text" value="' . esc_attr( $commenter['comment_author'] ) . '" size="30"' . $aria_req . ' /> '.'<label for="author">' . __( 'Имя', 'outset' ) . '</label> ' . ( $req ? '<span class="required">*</span>' : '' ).'</p>',
			'email' => '<p class="comment-form-email">' . '<input id="email" name="email" type="text" value="' . esc_attr(  $commenter['comment_author_email'] ) . '" size="30"' . $aria_req . ' /> '.'<label for="email">' . __( 'Email', 'outset' ) . '</label> ' . ( $req ? '<span class="required">*</span>' : '' ).'</p>',
			'url' => '<p class="comment-form-url">' . '<input id="url" name="url" type="text" value="' . esc_attr( $commenter['comment_author_url'] ) . '" size="30" /> <label for="url">' . __( 'Вебсайт', 'outset' ) . '</label></p>',
		);
		
		$args = array(
			'fields' => apply_filters( 'comment_form_default_fields', $fields ),
			'comment_field' => '<p class="comment-form-comment"><label for="comment">' . _x( 'Комментарий', 'outse' ) . '</label><br /><textarea id="comment" name="comment" cols="70" rows="8" aria-required="true"></textarea></p>',
			'title_reply' => __('Опубликовать комментарий', 'outset'),
			'cancel_reply_link' => __( 'Нажмите здесь чтобы отменить комментарий.', 'outset' ),
			'label_submit' => __('Отправить', 'outset')
		);
		comment_form($args); ?>

</div><!-- #comments -->